• December 11, 2019, 08:06:36 PM
  • Welcome, Guest
Please login or register.

Login with username, password and session length
Advanced search  

News:

This Forum Beta is ONLY for registered owners of D-Link products in the USA for which we have created boards at this time.

Author Topic: Just upgraded DCS-5009 firmware; now *IE* is required for admin? On a Mac?  (Read 569 times)

dougknowles

  • Level 1 Member
  • *
  • Posts: 1

I've been trying to updated the configuration on my DCS-5009 using the HTTP: admin interface from Safari. I was able to make some changes, but none related to video because I lacked the necessary (and apparently non-existent) plugin. Firefox also failed, and on Chrome I got a message suggesting Safari, Firefox, or *Internet Explorer*. On a Mac. This millennium.

Tried updating the firmware from the still-working web interface via Safari. After the upgrade, none of my browsers can load the admin page, and all get messages referring me to Internet Explorer!

How does updated software narrow my choices down to a non-existent browser?

This camera is of marginal usefulness to me now, and it'll be a long time before I consider D-Link for purchase or for a recommendation.
Logged

GreenBay42

  • Administrator
  • Level 10 Member
  • *
  • Posts: 2253

This camera as most older dlink cameras require NPAPI support which newer browsers have removed. This camera has been discontinued for years so it will not get a firmware rewrite. You can use the mydlink Lite app on iOS/Android devices or use an older browser (Firefox esr 52, IE, Safari 11 or older, or Chrome). In Chrome you will have to turn on NPAPI.

The newest firmware must have an updated browser check.

This is an industry issue, not just a D-Link issue. Most competitors, especially older cameras, rely on Java/active X and other NPAPI plugins to use certain functions in the camera through a browser. Most browsers have a way to turn on NPAPI support.
Logged